Сайт | Скачать | Видео | Wiki

Автор Тема: Viber  (Прочитано 537 раз)

0 Пользователей и 1 Гость просматривают эту тему.

Оффлайн pettimm

  • Постоялец
  • ***
  • Сообщений: 134
  • Репутация: +1/-0
Viber
« : 16 Январь 2018, 13:05:52 »
Вот по ссылке  есть deb пакеты вайбер и для 32 и 64 бит.    https://viberapp.org/pc/12-viber-for-linux.html
Можно их перекомпилить в pfs?

Оффлайн sfs

  • Администратор
  • Ветеран
  • *****
  • Сообщений: 21900
  • Репутация: +164/-0
    • PuppyRus-A
Re: Viber
« Ответ #1 : 16 Январь 2018, 13:07:45 »
Перекомпилить нельзя. Исходники закрыты. Перепаковать можно
packer viberhttps://aur.archlinux.org/packages/viber/
32 бит нет
« Последнее редактирование: 16 Январь 2018, 13:09:40 от sfs »

Оффлайн sasha-gerych

  • Ветеран
  • *****
  • Сообщений: 705
  • Репутация: +17/-0
Re: Viber
« Ответ #2 : 17 Январь 2018, 13:42:07 »
Помнится мне, что где-то в яндекс репе лежал готовый pfs модуль вайбера для 64

Оффлайн sfs

  • Администратор
  • Ветеран
  • *****
  • Сообщений: 21900
  • Репутация: +164/-0
    • PuppyRus-A
Re: Viber
« Ответ #3 : 17 Январь 2018, 16:06:58 »
есть, но старый (версия)

Оффлайн DdShurick

  • Активный участник
  • Ветеран
  • ****
  • Сообщений: 5695
  • Репутация: +146/-0
  • Старый чайник
Re: Viber
« Ответ #4 : 17 Январь 2018, 19:47:00 »
 Попробовал скачать с официального сайта. Запросил libpulse.so.0. Подсунул от apulse. Результат: # /opt/viber/Viber
This application failed to start because it could not find or load the Qt platform plugin "xcb"
in "".

Available platform plugins are: eglfs, linuxfb, minimal, minimalegl, offscreen, vnc, wayland-egl, wayland, wayland-xcomposite-egl, wayland-xcomposite-glx, xcb.

Reinstalling the application may fix this problem.
Aborted
Плагины есть в /opt/viber/plugins/platforms # ls /opt/viber/plugins/platforms
libqeglfs.so                   libqwayland-egl.so
libqlinuxfb.so                 libqwayland-generic.so
libqminimal.so                 libqwayland-xcomposite-egl.so
libqminimalegl.so              libqwayland-xcomposite-glx.so
libqoffscreen.so               libqxcb.so
libqvnc.so
? ??? ?
Моноблок Lenovo IdeaCentre c200
Netbook Acer 722 c6ckk (AMD C-50 Ontario, Radeon HD 6250)
Nettop Asus Eee Box PC B202 (atom N270, intel GMA 950)

Оффлайн Pro

  • Активный участник
  • Ветеран
  • ****
  • Сообщений: 9545
  • Репутация: +95/-0
Re: Viber
« Ответ #5 : 18 Январь 2018, 05:04:58 »
я делал ldd libqxcb.so и смотрел чего ему не хватает.
Я загружаю новые пакеты сюда: http://file.puppyrus.org/users/ а дальше можно найти самостоятельно.

Оффлайн DdShurick

  • Активный участник
  • Ветеран
  • ****
  • Сообщений: 5695
  • Репутация: +146/-0
  • Старый чайник
Re: Viber
« Ответ #6 : 18 Январь 2018, 07:45:28 »
 Добавил недостающее, теперь ещё чудесатее # /opt/viber/Viber
QStandardPaths: XDG_RUNTIME_DIR not set, defaulting to '/tmp/runtime-live'
Qt WebEngine ICU data not found at /opt/viber/resources. Trying parent directory...
Qt WebEngine resources not found at /opt/viber/resources. Trying parent directory...
Qt WebEngine ICU data not found at /opt/viber/resources. Trying parent directory...
Qt WebEngine resources not found at /opt/viber/resources. Trying parent directory...
QQmlApplicationEngine failed to load component
qrc:/QML/LoginWizard/LoginWizard.qml:1 module "QtQuick" is not installed
Моноблок Lenovo IdeaCentre c200
Netbook Acer 722 c6ckk (AMD C-50 Ontario, Radeon HD 6250)
Nettop Asus Eee Box PC B202 (atom N270, intel GMA 950)

Оффлайн Pro

  • Активный участник
  • Ветеран
  • ****
  • Сообщений: 9545
  • Репутация: +95/-0
Re: Viber
« Ответ #7 : 18 Январь 2018, 07:54:50 »
Добавил недостающее, теперь ещё чудесатее
все нормально, надо добавить qt-quick и возможно еще icu-data в каталог resources
Я загружаю новые пакеты сюда: http://file.puppyrus.org/users/ а дальше можно найти самостоятельно.

Оффлайн DdShurick

  • Активный участник
  • Ветеран
  • ****
  • Сообщений: 5695
  • Репутация: +146/-0
  • Старый чайник
Re: Viber
« Ответ #8 : 18 Январь 2018, 09:49:40 »
все нормально
Не очень # /opt/viber/Viber
QStandardPaths: XDG_RUNTIME_DIR not set, defaulting to '/tmp/runtime-live'
QQmlApplicationEngine failed to load component
qrc:/QML/LoginWizard/LoginWizard.qml:1 module "QtQuick" is not installed
bash-4.4# find . -name *.so -exec ldd {} \; | grep not |sort -u
libQt53DCore.so.5 => not found
libQt53DInput.so.5 => not found
libQt53DLogic.so.5 => not found
libQt53DQuick.so.5 => not found
libQt53DQuickScene2D.so.5 => not found
libQt53DRender.so.5 => not found
libQt5EglFSDeviceIntegration.so.5 => not found
libQt5Gamepad.so.5 => not found
libQt5QuickParticles.so.5 => not found
libQt5RemoteObjects.so.5 => not found
libQt5WaylandClient.so.5 => not found
libQt5XmlPatterns.so.5 => not found
libgstapp-1.0.so.0 => not found
libgstaudio-1.0.so.0 => not found
libgstbase-1.0.so.0 => not found
libgstpbutils-1.0.so.0 => not found
libgstreamer-1.0.so.0 => not found
libgstvideo-1.0.so.0 => not found
libwayland-client.so.0 => not found
libwayland-cursor.so.0 => not found
libwayland-egl.so.1 => not found
Подключил модуль 22-x-qt.xzm от MagOS, мало помогло
bash-4.4# find . -name *.so -exec ldd {} \; | grep not |sort -u
libQt5EglFSDeviceIntegration.so.5 => not found
libQt5Gamepad.so.5 => not found
libQt5RemoteObjects.so.5 => not found
libQt5WaylandClient.so.5 => not found
libgstapp-1.0.so.0 => not found
libgstaudio-1.0.so.0 => not found
libgstbase-1.0.so.0 => not found
libgstpbutils-1.0.so.0 => not found
libgstreamer-1.0.so.0 => not found
libgstvideo-1.0.so.0 => not found
libwayland-client.so.0 => not found
libwayland-cursor.so.0 => not found
libwayland-egl.so.1 => not found
Моноблок Lenovo IdeaCentre c200
Netbook Acer 722 c6ckk (AMD C-50 Ontario, Radeon HD 6250)
Nettop Asus Eee Box PC B202 (atom N270, intel GMA 950)

Оффлайн Pro

  • Активный участник
  • Ветеран
  • ****
  • Сообщений: 9545
  • Репутация: +95/-0
Re: Viber
« Ответ #9 : 18 Январь 2018, 10:12:56 »
либо этих библиотек нет, либо они не подхватываются

Если они есть но не подхватываются - сделать чтобы подхватывались, если их нету, надо сделать чтобы были.
Я загружаю новые пакеты сюда: http://file.puppyrus.org/users/ а дальше можно найти самостоятельно.

Оффлайн DdShurick

  • Активный участник
  • Ветеран
  • ****
  • Сообщений: 5695
  • Репутация: +146/-0
  • Старый чайник
Re: Viber
« Ответ #10 : 18 Январь 2018, 11:00:00 »
надо сделать чтобы были
Это понятно, но не слишком ли много он тянет?
Моноблок Lenovo IdeaCentre c200
Netbook Acer 722 c6ckk (AMD C-50 Ontario, Radeon HD 6250)
Nettop Asus Eee Box PC B202 (atom N270, intel GMA 950)

Оффлайн RoDoN

  • Активный участник
  • Ветеран
  • ****
  • Сообщений: 5206
  • Репутация: +109/-0
    • RoDoN
Re: Viber
« Ответ #11 : 18 Январь 2018, 11:28:59 »
но не слишком ли много он тянет?
Так современное ПО оно такое, тянет кучу всякого-разного..., а потом может и не заработать вообще )))

Acer Aspire One AO751h (Atom Z520, Intel GMA500)
Acer Extensa 5620Z (T7500, Intel 965GM)
PuppyRus-JWM-13.12, PRA, Upup Precise, Tahr Puppy, Runtu 14.04 XFCE.

Оффлайн sfs

  • Администратор
  • Ветеран
  • *****
  • Сообщений: 21900
  • Репутация: +164/-0
    • PuppyRus-A
Re: Viber
« Ответ #12 : 18 Январь 2018, 11:40:20 »
современное ПО оно такое
Да просто проприетарщики не захотели заморачиваться с линуксом. Сделали на "отвали" с использованием всего подряд : mesa qt gst
puppyrus-a64/pra64-07/pkg/pra6407extra/viber-7.0.0.1035-1-x86_64.pkg.tar.xz
roll/180101/viber-7.0.0.1035-1-180101-sf01.pfs - там куча зависимых модулей
проверял только на запуск
Думаю такое решение подойдет человеку который очень любит viber

Оффлайн ansivar

  • Пользователь
  • **
  • Сообщений: 69
  • Репутация: +6/-0
Re: Viber
« Ответ #13 : 19 Январь 2018, 17:18:00 »
Добавил недостающее, теперь ещё чудесатее
все нормально, надо добавить qt-quick и возможно еще icu-data в каталог resources

если нужны исходники Qt, то:
http://ppa.launchpad.net/hedges/qt5.5/ubuntu/pool/main/q/qt55quick1/
http://ppa.launchpad.net/hedges/qt5.5/ubuntu/pool/main/q/

http://ppa.launchpad.net/beineri/opt-qt593-xenial/ubuntu/pool/main/q/